util.ui

## Class PictureAreaIcon

- java.lang.Object
- - util.ui.PictureAreaIcon

- All Implemented Interfaces:
    javax.swing.Icon

      public class PictureAreaIcon
      extends java.lang.Object
      implements javax.swing.Icon

  A class for painting a picture with copyright and description info.
  Since:
    2.2.2
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `mWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PictureAreaIcon()` Constructor for programs with no picture or if pictures for a program should not be shown.
    `PictureAreaIcon(Program p, java.awt.Font f, int width, boolean showDescription, boolean grayFilter, boolean zoom)` Constructor for programs with picture.
    `PictureAreaIcon(Program p, java.awt.Font f, int width, boolean showDescription, boolean grayFilter, boolean zoom, boolean showPictureBorder)` Constructor for programs with picture.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `int` | `getIconWidth()`
    `void` | `paintIcon(java.awt.Component c, java.awt.Graphics g, int x, int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mWidth

          int mWidth

  - ### Constructor Detail

    - #### PictureAreaIcon

          public PictureAreaIcon()

      Constructor for programs with no picture or if pictures for a program should not be shown.

    - #### PictureAreaIcon

          public PictureAreaIcon(Program p,
                         java.awt.Font f,
                         int width,
                         boolean showDescription,
                         boolean grayFilter,
                         boolean zoom)

      Constructor for programs with picture.
      Parameters:
        `p` - The program with the picture.
        `f` - The font for the description.
        `width` - The width of this area.
        `showDescription` - If description should be shown.
        `grayFilter` - If the image should be filtered to gray if the program is expired.
        `zoom` - If the picture should be zoomed to width.

    - #### PictureAreaIcon

          public PictureAreaIcon(Program p,
                         java.awt.Font f,
                         int width,
                         boolean showDescription,
                         boolean grayFilter,
                         boolean zoom,
                         boolean showPictureBorder)

      Constructor for programs with picture.
      Parameters:
        `p` - The program with the picture.
        `f` - The font for the description.
        `width` - The width of this area.
        `showDescription` - If description should be shown.
        `grayFilter` - If the image should be filtered to gray if the program is expired.
        `zoom` - If the picture should be zoomed to width.
        `showPictureBorder` -

  - ### Method Detail

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `javax.swing.Icon`

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `javax.swing.Icon`

    - #### paintIcon

          public void paintIcon(java.awt.Component c,
                       java.awt.Graphics g,
                       int x,
                       int y)

      Specified by:
        `paintIcon` in interface `javax.swing.Icon`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)